Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design.events
Class CollectionElementRemovedEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              net.sf.jasperreports.engine.design.events.CollectionElementRemovedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class CollectionElementRemovedEvent

extends java.beans.PropertyChangeEvent

Version:
  $Id: CollectionElementRemovedEvent.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CollectionElementRemovedEvent(java.lang.Object source, java.lang.String propertyName, java.lang.Object removedValue, int removedIndex)`

Method Summary
`int` | `getRemovedIndex()`
`java.lang.Object` | `getRemovedValue()`

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionElementRemovedEvent

    public CollectionElementRemovedEvent(java.lang.Object source,
                                         java.lang.String propertyName,
                                         java.lang.Object removedValue,
                                         int removedIndex)

Method Detail

### getRemovedValue

    public java.lang.Object getRemovedValue()

### getRemovedIndex

    public int getRemovedIndex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com